[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TObjectList.First

Return the first non-nil object in the list

## Declaration

Source position: contnrs.pp line 90

`public function TObjectList.First: TObject;`

## Function result

First non-nil object in the list.

## Description

First returns a reference to the first non-Nil element in the list. If no non-Nil element is found, Nil is returned.

## Errors

None.

## See also

TObjectList.Last |  | Return the last non-nil object in the list.